Update a Payment LinkCopy Pagepatch https://api-dev.gettrx.com/payments/v1/payment-links/{paymentLinkId}Path ParamspaymentLinkIdstringrequiredBody ParamsnamestringrequiredPayment link name/title. Length 256descriptionstringPayment link title. Length 500lineItemsarray of stringslineItemsADD stringactivebooleanWhether or not the payment link is active. Defaults to true when created.truefalseafterCompletionobjectafterCompletion objectcurrencystringenum3 letter iso currency code.usdAllowed:usdcustomFieldsobjectArray with CustomField objects. Limit to array to having 5 custom fields max.customFields objectcaptureMethodstringenumCapture Method: automatic : Use for full sale manual: Use for “Auth Only”automaticmanualAllowed:automaticmanualcreateCustomerstringenumDetermines if a customer will be created during payment process: if_required : Only creates a customer when the price is for a “subscription”, and when savePaymentMethodForFutureUsage is set to “always” always : Always create a customer regardless of the price typeif_requiredalwaysAllowed:if_requiredalwayssavePaymentMethodForFutureUsagestringenumDetermines if the payment method saved will be created during payment process: if_required : Will not store the payment method when the price amount is 0. Will not store the payment method for any transactions ran through the payment page UNLESS its for a subscription always : Always store the payment method used by the customer for future paymentsif_requiredalwaysAllowed:if_requiredalwayspaymentMethodTypesstringenumDetermines which payment methods will be displayed in the payment link: us_bank_account : Enables payments with US bank accounts card : Enables payments with CARD, APPLE PAY, GOOGLE PAYus_bank_accountcardAllowed:us_bank_accountcardcollectBillingAddressbooleanDetermines if we need to collect the customer’s billing address (other than the zipcode).truefalsecollectPhoneNumberbooleanDetermines if we need to collect the customer’s Phone number.truefalsecollectShippingAddressbooleanDetermines if we need to collect the customer’s shipping address.truefalseshippingCountriesAllowedarray of stringsArray with a list of countries to which the product can be shipped.shippingCountriesAllowedADD stringshippingRatesAvailablearray of stringsAn array of shipping rate ids to be displayed to the user as options during the checkout flow.shippingRatesAvailableADD stringaccountFeeAndDiscountDisplayLayoutstringenumDescribes the layout to be used when displaying the fees and discounts.surchargedual_pricingcash_discountAllowed:surchargedual_pricingcash_discountdonationFeeDefaultPayorstringenumWhen using donation layout, donor is able to see a checkbox to pay for the donation fees. This field determines the default state of that buttondonornonprofitAllowed:donornonprofitsubmitButtonTextstringA text string with what will be displayed in the Payment Button on the hosted payment page. It can have a {amount} token which would then be replaced by the final amount to be paid by the user. eg: “Pay {amount} now”showBusinessContactInformationbooleanDetermines whether or not to display the business contact information.truefalsecustomBrandingobjectObject with Branding details.customBranding objectsendEmailReceiptbooleanDetermines whether or not to send a receipt at the end of the transactions.truefalseHeadersidempotencyKeystringA unique identifier to ensure the same operation isn't processed multiple times, preventing duplicate transactions.onBehalfOfstringSpecifies the account for which the Payment-Link is intended. This is used for scenarios where one partner creating payment-link on behalf of another partner, such as in PayFac or related partner relationships.Responses 201201 401401Updated 3 months ago